Foxit PDF SDK

Instance Methods | Properties | List of all members
FSMediaSettings Class Reference

media player state: Open.
More...

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithMedia_settings:
| Constructor, with another media settings object. More...
(void) | - set:base_url:bg_color:bg_opacity:duration:page:repeat:show_ui:is_visible:volume:window_type:floating_wnd_info:
| Set values. More...

## Properties
BOOL | auto_play
| Specify whether the media clip should begin playing automatically after the player is opened. More...
NSString * | base_url
| The base URL to be used to resolve any relative URLs used in the media clip. More...
unsigned int | bg_color
| The background color for the media player window. Format: 0xRRGGBB.
float | bg_opacity
| The background opacity for the media player window.
int | duration
| The amount of time in seconds that playback will take.
FSFloatingInfo * | floating_wnd_info
| A FSFloatingInfo containing properties (listed below) that define the location and style of a floating window.
BOOL | is_visible
| A boolean value that specifies whether the player should be visible.
int | page
| For a docked media player, this property is the number of the page on which the player should be docked. For other types of media players, this property is ignored.
int | repeat
| The number of times the media playback should automatically repeat. More...
BOOL | show_ui
| A boolean value that specifies whether the controls of the media player should be visible or not.
int | volume
| Specify the playback volume. A value of 0 is muted, a value of 100 is normal (full) volume.
FSMediaSettingsPlayerWindowType | window_type
| That defines which type of window the media player should be created in. Please refer to values starting from FSMediaSettingsPlayerWindowTypeDockedPage and this should be one of these values.

## Detailed Description

media player state: Open.

media player state: Close.

media player state: Playing.

media player state: Stop.

media player state: Suspend.

This class represents media settings.

## Method Documentation

## ◆ initWithMedia_settings:()

- (id) initWithMedia_settings: |  | (FSMediaSettings*) | media_settings |

Constructor, with another media settings object.

Parameters

  [in] | media_settings | Another media settings object.

## ◆ set:base_url:bg_color:bg_opacity:duration:page:repeat:show_ui:is_visible:volume:window_type:floating_wnd_info:()

- (void) set: |  | (BOOL) | auto_play
base_url: |  | (NSString *) | base_url
bg_color: |  | (unsigned int) | bg_color
bg_opacity: |  | (float) | bg_opacity
duration: |  | (int) | duration
page: |  | (int) | page
repeat: |  | (int) | repeat
show_ui: |  | (BOOL) | show_ui
is_visible: |  | (BOOL) | is_visible
volume: |  | (int) | volume
window_type: |  | (FSMediaSettingsPlayerWindowType) | window_type
floating_wnd_info: |  | (FSFloatingInfo*) | floating_wnd_info

Set values.

Parameters

  [in] | auto_play | Specify whether the media clip should begin playing automatically after the player is opened.
  [in] | base_url | The base URL to be used to resolve any relative URLs used in the media clip.
  [in] | bg_color | The background color for the media player window.
  [in] | bg_opacity | The background opacity for the media player window.
  [in] | duration | The amount of time in seconds that playback will take.
  [in] | page | The number of the page on which the player should be docked.
  [in] | repeat | The number of times the media playback should automatically repeat.
  [in] | show_ui | A boolean value that specifies whether the controls of the media player should be visible or not.
  [in] | is_visible | A boolean value that specifies whether the player should be visible.
  [in] | volume | Specify the playback volume. A value of 0 is muted, a value of 100 is normal (full) volume.
  [in] | window_type | That defines which type of window the media player should be created in.
  [in] | floating_wnd_info | A FSFloatingInfo object containing properties (listed below) that define the location and style of a floating window.

Returns
  None.

## Property Documentation

## ◆ auto_play

- (BOOL) auto_play
| read write nonatomic assign

Specify whether the media clip should begin playing automatically after the player is opened.

YES means auto play, while NO means not.

## ◆ base_url

- (NSString *) base_url
| read write nonatomic weak

The base URL to be used to resolve any relative URLs used in the media clip.

For example, if the media opens a web page. There is no default value; if this is not specified, the interpretation of a relative URL will vary depending the media player, but in most cases will not work.

## ◆ repeat

- (int) repeat
| read write nonatomic assign

The number of times the media playback should automatically repeat.

The default value of 1 causes the media to be played once.